# EZ_DefineMaterial

##

##

##

##

##

    NAME
           EZ_DefineMaterial,   EZ_BindMaterial   -  define  material
           parameters

    SYNOPSIS
           #include <EZ.h>

           EZ_Material *EZ_DefineMaterial(float *parameters)
           void EZ_BindMaterial(int face, EZ_Material *material)

    ARGUMENTS
           parameters  Specifies material properties.

           face Specifies a  face,  either  EZ_FRONT  or  EZ_BACK  or
           EZ_FRONT_AND_BACK.

           material Specifies a pre-defined material.

    DESCRIPTION
           EZ_DefineMaterial  defines  a material based on the speci-
           fied parameters. The defined material can later be bind to
           one of the two current materials.

           parameters  specifies  an  array of floating point symbols
           and values that defines the material properties.   parame-
           ters  must  contain  a  sequence of lighting symbols, each
           followed by the appropriate number of floating point  val-
           ues.   The  last symbol must be EZ_NULL_F, which is itself
           not followed by any values.

           The symbols are:

              EZ_EMISSION_F specifies the emisive color of the  mate-
              rial, must followed by 4 floats in the range [0.0, 1.0]
              that specify the intensity of the  RGBA  components  of
              the color.

              EZ_AMBIENT_F  specifies  the ambient color of the mate-
              rial, must followed by 4 floats in the range [0.0, 1.0]
              that  specify  the  intensity of the RGBA components of
              the color.

              EZ_DIFFUSE_F specifies the diffuse color of  the  mate-
              rial, must followed by 4 floats in the range [0.0, 1.0]
              that specify the intensity of the  RGBA  components  of
              the color.

              EZ_SPECULAR_F specifies the specular color of the mate-
              rial, must followed by 4 floats in the range [0.0, 1.0]
              that  specify  the  intensity of the RGBA components of
              the color.

              EZ_SHININESS_F specifies the shininess of the material,
              must  followed  by a non-negative floating point number
              that specifies the shininess exponent.

              EZ_COLOR_INDICES_F specifies the  indices  that  to  be
              used  for  lighting calculations in index mode. Must be
              followed by three floats that specify the ambient, dif-
              fuse and specular color indices.

           EZ_BindMaterial  binds  the specified pre-defined material
           to the specified current material.

    SEE ALSO
           EZ_DefineLightSrc(3),   EZ_DefineLightModel(3),   EZ_BindLightSrc(3)
           , EZ_BindLightModel(3)